@echo off 
rem install_chkr.cmd
echo Install an Appchkr v.180330
echo Copyright 2018 Nova Software, www.nova-sw.com
echo.
echo. >>install_chkr.log
date /t
time /t
echo ____START INSTALLATION____  >>install_chkr.log
date /t >>install_chkr.log
time /t >>install_chkr.log
setlocal enableextensions disabledelayedexpansion 2>>install_chkr.log
if not exist Appchkr.typ goto ON
    echo Prior install   1>>install_chkr.log  2>&1
    type msg\instl\i_prior.txt    2>>install_chkr.log
    pause
    goto :EOF
rem endif
:ON
rem MSWin is currently the default
rem attrib -r /s /d  prl\*  1>>install_chkr.log  2>&1
rem xcopy /h /r /q /e /y /v /c /k   prl\mswin_lib\*   prl\lib\  2>>install_chkr.log
attrib +r prl\* /s /d  1>>update_chkr.log  2>&1
attrib +r bin\*    1>>update_chkr.log  2>&1
set /p chkr_rel_nbr=<chkr_release_nbr.txt 2>>install_chkr.log
path="%cd%\prl\bin";%systemroot%\system32;%systemroot% 2>>install_chkr.log
echo path = %path% 1>>install_chkr.log
echo Appchkr release = %chkr_rel_nbr%  1>>install_chkr.log
echo Directory = %cd%                  1>>install_chkr.log
echo.
echo.
prl\bin\perl  subvar.pl  msg\instl\i_greet.txt  %chkr_rel_nbr%  "%cd%"  
set /p quit_chkr=   2>>install_chkr.log
echo quit_chkr is %quit_chkr%  1>>install_chkr.log
if [%quit_chkr%]==[] goto :EOF 2>>install_chkr.log
if [%quit_chkr%]==[Q] goto :EOF 2>>install_chkr.log
if [%quit_chkr%]==[q] goto :EOF 2>>install_chkr.log
if [%quit_chkr%]==[C] goto NEXT  2>>install_chkr.log
if not [%quit_chkr%]==[c] goto :EOF  2>>install_chkr.log
:NEXT
cd > .chkr_base_dir 2>>install_chkr.log
attrib +r .chkr_base_dir 2>>install_chkr.log
attrib +r +h +s .bcdfgh 2>>install_chkr.log
del /f /q *chkr?  2>>install_chkr.log
del /f /q  chkr_zipr  2>>install_chkr.log
del /f /q *uwi  2>>install_chkr.log
del /f /q O_appchkr.cmd  2>>install_chkr.log
prl\bin\perl O_E.pl %chkr_rel_nbr% 2>>install_chkr.log
if %ERRORLEVEL%==0 goto OK 2>>install_chkr.log
prl\bin\perl subvar.pl msg\instl\i_fail.txt  2>>install_chkr.log
goto :EOF 
:OK
ren rel%chkr_rel_nbr%\pgm\O_appchkruwi.pl  appchkruwi.pl  2>>install_chkr.log
attrib +r +h +s  Appchkr.typ 2>>install_chkr.log
echo  > new_installation1 2>>install_chkr.log
echo  > new_installation2 2>>install_chkr.log
echo  > new_installation3 2>>install_chkr.log
mkdir bak cfg log pid rpt smp tmp 2>>install_chkr.log
copy /b /y self.cfg1 + self.cfg2  cfg\self.cfg  2>>install_chkr.log
del /f /q self.cfg? 2>>install_chkr.log
xcopy /b /q /y  rel%chkr_rel_nbr%\smp\* smp\  2>>install_chkr.log
xcopy /b /q /y * bak\ 2>>install_chkr.log
del /f /q chkr_update_*.zip  2>>install_chkr.log
set /p chkr_type=<Appchkr.typ   2>>install_chkr.log
prl\bin\perl subvar.pl msg\instl\i_start_uwi.txt  %chkr_type%   2>>install_chkr.log
set /p start_uwi=   2>>install_chkr.log
echo start_uwi is %start_uwi%   1>>install_chkr.log   2>&1
if [%start_uwi%]==[] goto NO_START  2>>install_chkr.log
if not [%start_uwi%]==[y] goto NO_START  2>>install_chkr.log
call startuwi   2>>install_chkr.log
if not %ERRORLEVEL%==0 goto ERROR_START  2>>install_chkr.log
echo UWI started    1>>install_chkr.log
prl\bin\perl subvar.pl msg\instl\i_uwi_ok.txt   2>>install_chkr.log
pause
goto SKIP_ERROR  2>>install_chkr.log
:NO_START
echo Start UWI later.   1>>install_chkr.log
prl\bin\perl subvar.pl msg\instl\i_uwi_later.txt  2>>install_chkr.log
pause
goto SKIP_ERROR  2>>install_chkr.log
:ERROR_START
echo UWI startup failed.   1>>install_chkr.log
prl\bin\perl subvar.pl msg\instl\i_uwi_fail.txt  %chkr_type%   2>>install_chkr.log
pause
:SKIP_ERROR
prl\bin\perl subvar.pl msg\instl\i_start.txt  %chkr_type%  %chkr_type%  cfg\self.cfg  2>>install_chkr.log
pause
msg\instl\i_note.html  2>>install_chkr.log
rem if %errorlevel%==0 goto ON2   fix! -- errorlevel not cleared by cmd
rem type install_chkr_note.txt
rem :ON2
del /f /q bak\install_chkr.cmd  2>>install_chkr.log
del /f /q bak\O_appchkr.cmd  2>>install_chkr.log
attrib +r  bak\*  2>>install_chkr.log
attrib +r  bin\* 2>>install_chkr.log
del /f /q chkr_*.zip  2>>install_chkr.log
del /f /q HOW_TO_INSTALL.txt   2>>install_chkr.log
date /t 1>>install_chkr.log
time /t 1>>install_chkr.log
prl\bin\perl subvar.pl msg\instl\i_done.txt  %chkr_type%  2>>install_chkr.log
pause
echo. 1>>install_chkr.log
echo. 1>>install_chkr.log 
del /f /q install_chkr.cmd  2>>install_chkr.log
